This is a documentation that gives the developer and the user an overview of how to install RLCatalyst on a local instance

Supported Platforms

RLCatalyst is currently supported on

  • Ubuntu 16.04
  • Ubuntu 14.04
  • CentOS 7

Software Requirements

Softwares Versions
MongoDB 3.2.7 and above
Node.JS 4.4.4 and above
Npm 3.5.2 and above
Chef Server 12.3 Open Source or Latest Enterprise Chef Server version.
Chef Client 12.6
LDAP Server OpenLDAP 2.4.39 or an existing corporate LDAP server.

SCM – Any version of GIT or SVN